/[gentoo-x86]/dev-util/valgrind/files/valgrind-3.7.0-glibc-2.15.patch
Gentoo

Contents of /dev-util/valgrind/files/valgrind-3.7.0-glibc-2.15.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (show annotations) (download)
Sat Jan 14 23:25:17 2012 UTC (2 years, 6 months ago) by blueness
Branch: MAIN
CVS Tags: HEAD
Added patch to allow valgrind to build against glibc-2.15, bug #398921

(Portage version: 2.1.10.41/cvs/Linux x86_64)

1 diff -Naur valgrind-3.7.0.orig//configure.in valgrind-3.7.0/configure.in
2 --- valgrind-3.7.0.orig//configure.in 2012-01-14 17:49:13.000000000 -0500
3 +++ valgrind-3.7.0/configure.in 2012-01-14 18:13:45.000000000 -0500
4 @@ -778,6 +778,13 @@
5 DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
6 DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
7 ;;
8 + 2.15)
9 + AC_MSG_RESULT(2.15 family)
10 + AC_DEFINE([GLIBC_2_15], 1, [Define to 1 if you're using glibc 2.15.x])
11 + DEFAULT_SUPP="glibc-2.X.supp ${DEFAULT_SUPP}"
12 + DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
13 + DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
14 + ;;
15 darwin)
16 AC_MSG_RESULT(Darwin)
17 AC_DEFINE([DARWIN_LIBC], 1, [Define to 1 if you're using Darwin])
18 @@ -791,7 +798,7 @@
19
20 *)
21 AC_MSG_RESULT([unsupported version ${GLIBC_VERSION}])
22 - AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.14])
23 + AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.15])
24 AC_MSG_ERROR([or Darwin libc])
25 ;;
26 esac

  ViewVC Help
Powered by ViewVC 1.1.20